package io.renren.service;


import io.renren.entity.SysEquipment;

import java.util.List;

/**
 * 设备信息Service接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface ISysEquipmentService
{
    /**
     * 查询设备信息
     *
     * @param id 设备信息主键
     * @return 设备信息
     */
    public SysEquipment selectSysEquipmentById(Long id);

    /**
     * 查询设备信息列表
     *
     * @param sysEquipment 设备信息
     * @return 设备信息集合
     */
    public List<SysEquipment> selectSysEquipmentList(SysEquipment sysEquipment);

    /**
     * 新增设备信息
     *
     * @param sysEquipment 设备信息
     * @return 结果
     */
    public int insertSysEquipment(SysEquipment sysEquipment);

    /**
     * 修改设备信息
     *
     * @param sysEquipment 设备信息
     * @return 结果
     */
    public int updateSysEquipment(SysEquipment sysEquipment);

    /**
     * 批量删除设备信息
     *
     * @param ids 需要删除的设备信息主键集合
     * @return 结果
     */
    public int deleteSysEquipmentByIds(Long[] ids);

    /**
     * 删除设备信息信息
     *
     * @param id 设备信息主键
     * @return 结果
     */
    public int deleteSysEquipmentById(Long id);

    SysEquipment selectEquipmentBySequence(String deviceNo);
}
